Summary:	Support library for syslog-ng
Name:		libol
Version:	0.2.20
Release:	1.3.0
Group:		Development
License:	GPL
Source:		http://www.balabit.hu/downloads/syslog-ng/libol/0.2/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
This is a support library for syslog-ng.

%files
  %defattr(-,root,root)
  %doc ChangeLog
  %{_bindir}/make_class
  %{_libdir}/%{name}.so.*

%package devel
Summary:	Development headers and libraries for libol
Group:		Development
PreReq:		%{name} = %{version}-%{release}

%description devel
Support package for syslog-ng.

%files devel
  %defattr(-,root,root)
  %{_bindir}/libol-config
  %dir %{_includedir}/libol
  %{_includedir}/libol/*
  %{_libdir}/%{name}.so
  %attr(644,root,root) %{_libdir}/%{name}.la

%package devel-static
Summary:	Static development library for libol
Group:		Development
Requires:	%{name}-devel = %{version}-%{release}

%description devel-static
Support package for syslog-ng.

%files devel-static
  %defattr(-,root,root)
  %{_libdir}/%{name}.a


%prep
%setup -q
%build
%configure
make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR=%{buildroot} install
  chmod 0644 %{buildroot}%{_libdir}/%{name}.so.?.*

%post
  /sbin/ldconfig

%postun
  /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.2.20, Release 1.5.1
  - Downgrade to 0.2.20.

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Connectiva.  Pre-EnGarde changelog removed.
